Bug 1411115 - Notifications appear above screensaver [NEEDINFO]
Summary: Notifications appear above screensaver
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xscreensaver
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-08 13:53 UTC by xXEoflaOEXx
Modified: 2017-08-08 19:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:33:18 UTC
Type: Bug
mtasaka: needinfo? (eoflaoevicecity)


Attachments (Terms of Use)

Description xXEoflaOEXx 2017-01-08 13:53:23 UTC
Description of problem: 
The MATE notifications is appearing above the screensavers, but the notifications may contain mail, chat, personal info, etc. and it may allow someone who is in the same room check the user's mails, IRC chats, and more.

Version-Release number of selected component (if applicable):
5.36-3.fc23

How reproducible:
Open IRC chat (Hexchat), and set settings to make the private messages, chat messages, and highlighted messages appear in the MATE notifications or set up your mail client to put notifications when you have got a new mail. Open Xscreensaver, Click on the screensaver and let it preview. Look at the top right corner, the notification is appearing.

Steps to Reproduce:
1. Open IRC client (hexchat) and set the settings to make the private, chat, and highlighted messages appear on the MATE notifications or set up your mail client to put notifications when you got a new mail.
2. Open Xscreensaver or Screensaver settings in MATE. System -> Look and Feel -> Screensaver.
3. Let it preview by clicking the preview button.

Actual results:
The notifications appear on the top right corner above the screensaver layer, making MATE notifications the most top layer ever.

Expected results:
The notifications should be below the xscreensaver layer so the notifications would not show up.

Additional info:

Comment 1 Mamoru TASAKA 2017-01-10 09:52:40 UTC
I don't use MATE at all, however are there X composite manager present on MATE session?

Comment 2 Fedora End Of Life 2017-07-26 00:10:23 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-08-08 19:33:18 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.